Tournament API › Match locations
GET /match-locations
Returns all match locations.
Resource URL
https://api.toornament.com/organizer/v2/match-locationsHTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization) - Rangestring
A range of requested items using the
locationsunit. The size of the range can not exceed 50. (see Pagination)Example: locations=0-49
Query Parameters
- tournament_idsarray
Only return match locations for the given list of tournaments.
Example: 378426939508809728,534138941862841533
- match_location_idsarray
Only return match locations for the given list of ids.
Example: 2337697991941756927,2345022089175093247
- match_location_type_idsarray
Only return match locations for the given list of types.
Example: 435866997671919859,435866997671919867
- is_availableboolean
Whether the location is available because it is unassigned or because the match has ended.
Possible values: 0, 1
Request Body
This endpoint does not require a request body.
Response
[206] Success
Example
[
{
"id": "2337697991941756927",
"tournament_id": "378426939508809728",
"type": {
"id": "378426939508809728",
"name": "zone"
},
"name": "Fan Zone by Sponsor"
}
]Structure (collection)
- idstring
The unique identifier of the match location.
Example: "2337697991941756927"
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- typeobject
The type of the location.
- namestring
The name of the location.
Max. length: 40 characters
Example: "Fan Zone by Sponsor"
POST /match-locations
Creates a new match location in a tournament.
Resource URL
https://api.toornament.com/organizer/v2/match-locationsHTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization)
Query Parameters
This endpoint does not have any query parameters.
Request Body
Match location data
Example
{
"tournament_id": "378426939508809728",
"type": {
"id": "378426939508809728"
},
"name": "Fan Zone by Sponsor"
}Structure (object)
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- typeobject
The type of the location.
- namestring
The name of the location.
Max. length: 40 characters
Example: "Fan Zone by Sponsor"
Response
[201] Match location created.
Example
{
"id": "2337697991941756927",
"tournament_id": "378426939508809728",
"type": {
"id": "378426939508809728",
"name": "zone"
},
"name": "Fan Zone by Sponsor"
}Structure (object)
- idstring
The unique identifier of the match location.
Example: "2337697991941756927"
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- typeobject
The type of the location.
- namestring
The name of the location.
Max. length: 40 characters
Example: "Fan Zone by Sponsor"
GET /match-locations/{id}
Returns a match location identified with the given id.
Resource URL
https://api.toornament.com/organizer/v2/match-locations/{id}HTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization)
Path parameters
- idstring
The id of the match location.
Query Parameters
This endpoint does not have any query parameters.
Request Body
This endpoint does not require a request body.
Response
[200] Match location retrieved.
Example
{
"id": "2337697991941756927",
"tournament_id": "378426939508809728",
"type": {
"id": "378426939508809728",
"name": "zone"
},
"name": "Fan Zone by Sponsor"
}Structure (object)
- idstring
The unique identifier of the match location.
Example: "2337697991941756927"
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- typeobject
The type of the location.
- namestring
The name of the location.
Max. length: 40 characters
Example: "Fan Zone by Sponsor"
PATCH /match-locations/{id}
Updates one or several elements of a single match location.
Resource URL
https://api.toornament.com/organizer/v2/match-locations/{id}HTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization)
Path parameters
- idstring
The id of the match location.
Query Parameters
This endpoint does not have any query parameters.
Request Body
Match location data.
Example
{
"name": "Fan Zone by Sponsor"
}Structure (object)
- namestring
Optional
The name of the location.
Max. length: 40 characters
Example: "Fan Zone by Sponsor"
Response
[200] Success.
Example
{
"id": "2337697991941756927",
"tournament_id": "378426939508809728",
"type": {
"id": "378426939508809728",
"name": "zone"
},
"name": "Fan Zone by Sponsor"
}Structure (object)
- idstring
The unique identifier of the match location.
Example: "2337697991941756927"
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- typeobject
The type of the location.
- namestring
The name of the location.
Max. length: 40 characters
Example: "Fan Zone by Sponsor"
DELETE /match-locations/{id}
Deletes a single match location, identified by the given id.
Resource URL
https://api.toornament.com/organizer/v2/match-locations/{id}HTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization)
Path parameters
- idstring
The id of the match location.
Query Parameters
This endpoint does not have any query parameters.
Request Body
This endpoint does not require a request body.